normo

qt5 failure

3 posts in this topic

I got an odd failure on linux which seems to show an issue with qt5 missing some kind of plugin

synergy crashes on startup for me 

 

 

$ synergy2
This application failed to start because it could not find or load the Qt platform plugin "xcb".

Available platform plugins are: linuxfb, minimal, offscreen, xcb.

Reinstalling the application may fix this problem.
Aborted (core dumped)

$ QT_DEBUG_PLUGINS=1 synergy2
QFactoryLoader::QFactoryLoader() checking directory path "/usr/lib/p4v/qt5/plugins/platforms" ...
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/p4v/qt5/plugins/platforms/libqlinuxfb.so"
Found metadata in lib /usr/lib/p4v/qt5/plugins/platforms/libqlinuxfb.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "linuxfb"
        ]
    },
    "className": "QLinuxFbIntegrationPlugin",
    "debug": false,
    "version": 328960
}


Got keys from plugin meta data ("linuxfb")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/p4v/qt5/plugins/platforms/libqminimal.so"
Found metadata in lib /usr/lib/p4v/qt5/plugins/platforms/libqminimal.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "minimal"
        ]
    },
    "className": "QMinimalIntegrationPlugin",
    "debug": false,
    "version": 328960
}


Got keys from plugin meta data ("minimal")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/p4v/qt5/plugins/platforms/libqoffscreen.so"
Found metadata in lib /usr/lib/p4v/qt5/plugins/platforms/libqoffscreen.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "offscreen"
        ]
    },
    "className": "QOffscreenIntegrationPlugin",
    "debug": false,
    "version": 328960
}


Got keys from plugin meta data ("offscreen")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/p4v/qt5/plugins/platforms/libqxcb.so"
Found metadata in lib /usr/lib/p4v/qt5/plugins/platforms/libqxcb.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "xcb"
        ]
    },
    "className": "QXcbIntegrationPlugin",
    "debug": false,
    "version": 328960
}


Got keys from plugin meta data ("xcb")
QFactoryLoader::QFactoryLoader() checking directory path "/usr/bin/platforms" ...
loaded library "/usr/lib/p4v/qt5/plugins/platforms/libqxcb.so"
QLibraryPrivate::loadPlugin failed on "/usr/lib/p4v/qt5/plugins/platforms/libqxcb.so" : "Cannot load library /usr/lib/p4v/qt5/plugins/platforms/libqxcb.so: (libQt5XcbQpaP4.so.5: cannot open shared object file: No such file or directory)"
 

Share this post


Link to post
Share on other sites

Which version of libqt5 do you have and which linux distribution?

For instance, I have a debian jessie based machine on which libqt5core5a is at version 5.3. But as synergy 2.0beta requires libqt5core5a version >5.5, I can't install synergy.

org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3

Looking at this line, I was wondering if 5.3 in this line had something to do with version 5.3 of libqt5.

I'm sorry for eves dropping in this thread without having much knowledge or any answer to offer.

Edited by gpgdx

Share this post


Link to post
Share on other sites

I'm using ubuntu 16.04

i have /usr/lib/x86+64-linux-gnu/libQt5Core.so.5.5.1

but i think synergy did not include its own copy of qt5, and does not force its path correctly  since it went to the p4v version  (p4v is perforce- which has a private copy of qt), 

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now